process.env.NODE_ENV !== 'production' && require('babel-register')
require('pdjs')
const fs = require('fs-plus')
const { execSync } = require('child_process')

// build-docs admin store
const args = process.argv.slice()

fs.ensureDirSync('build.docs')

args.forEach((name) => {
  const schema = require(`${name}/schema`)
  fs.writeFileSync(`build.docs/${name}.graphql`, schema.buildSchemaText())
  execSync(`graphdoc -s build.docs/${name}.graphql -o build.docs/${name}`)
})
