process.env.NODE_ENV !== 'production' && require('babel-register')
require('pdjs')
const shell = require('shelljs')
require('models')
const sequelize = require('vendor/sequelize')

async function main() {
  // create new table
  await sequelize.sync()

  // run other changes
  shell.exec('sequelize db:migrate')

  sequelize.close()
}

main()
