'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Sms = undefined;

var _nodeTaobaoTopclient = require('node-taobao-topclient');

var _nodeTaobaoTopclient2 = _interopRequireDefault(_nodeTaobaoTopclient);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * const sms = new Sms({appkey, appsecret})
 * sms.sendCode(phone, token)
 **/
class Sms {
  constructor(config) {
    this.sendCode = (type, phone, token) => {
      return this.client.execute('alibaba.aliqin.fc.sms.num.send', {
        extend: '',
        sms_type: 'normal',
        sms_free_sign_name: this.config.signName,
        sms_param: `{code: "${token}"}`,
        rec_num: phone,
        sms_template_code: this.config[type]
      });
    };

    this.config = config;
    this.client = new _nodeTaobaoTopclient2.default({
      appkey: config.appkey,
      appsecret: config.appsecret
    });
  }

}
exports.Sms = Sms;